| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SPI Bit Order
SPI Control Codes

Defines the bit order. More...

## Macros

#define | ARM_SPI_MSB_LSB (0UL << ARM_SPI_BIT_ORDER_Pos)
| SPI Bit order from MSB to LSB (default)
#define | ARM_SPI_LSB_MSB (1UL << ARM_SPI_BIT_ORDER_Pos)
| SPI Bit order from LSB to MSB.

## Description

Defines the bit order.

## Macro Definition Documentation

#define ARM_SPI_LSB_MSB (1UL << ARM_SPI_BIT_ORDER_Pos)

SPI Bit order from LSB to MSB.

See Also
  ARM_SPI_Control

#define ARM_SPI_MSB_LSB (0UL << ARM_SPI_BIT_ORDER_Pos)

SPI Bit order from MSB to LSB (default)

See Also
  ARM_SPI_Control